Bug 11615 - rootpw --iscrypted (NOT FIXED)
rootpw --iscrypted (NOT FIXED)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
: Security
Depends On: 11637
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-23 17:47 EDT by Jeff Blaine
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-12 11:17:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Blaine 2000-05-23 17:47:32 EDT
Please do not just close this as a duplicate of the 4 prior
reports of this problem.  I have the April bootnet.img found
in the errata for 6.2 and kickstart's 'rootpw --iscrypted MyEnCrYPtEDPW'
STILL leaves my machine with no root password upon reboot.

Since it seems like previous bugs were related to this information,
here is the auth line as well:

auth --enablenis --nisdomain ourdomain.mitre.org --useshadow
Comment 1 Jeff Blaine 2000-05-24 12:21:59 EDT
Please note that I actually was not doing the 'linux updates' method of
booting with the 20000407 images.  Rather I had put a new bootnet.img on
my kickstart floppy and just done 'linux ks=floppy'.  BUT...now that I
have tried it as 'linux updates ks=floppy', it fails (See bug 11637) in
Anaconda.  So I have yet to do a kickstart with 20000407 images that
even succeeds enough to test the rootpw functionality.

Please leave this open until 11637 is resolved at least.
Comment 2 Brock Organ 2000-06-12 12:19:30 EDT
Using:

4/7/2000 boot image
4/7/2000 updates disk
kickstart file (see below)
syslinux:  linux updates ks=floppy

our test installs did successfully set the root password ... bug 11637 has been
verified (thank you!), and a possible workaround suggested to hopefully allow
you to continue your installations (ie adding a mouse parameter in your
kickstart file (such as below for example)) ... please reopen if you continue
having root password troubles with above disks & kickstart ... 

lang en_US
network --bootproto dhcp
nfs --server foobar --dir /mnt/6.2/i386 
keyboard "us"
zerombr yes
clearpart --all
part / --size 2000 
part swap --size 128 
install
mouse generic3ps/2 
timezone America/New_York
xconfig --card --monitor --startxonboot
rootpw --iscrypted $1$Fxxxxxxxxxxxxxxxxxxxxxxxxxxxx
auth --enablenis --nisdomain foobar.domain.com --useshadow
lilo --location mbr --append "mem=60m"
reboot
%packages
@Base
@X Window System

%post
Comment 3 Jeff Blaine 2000-06-12 16:27:35 EDT
Wow.  Well...I'll be damned.  I can't make it fail now either.  I must be
losing my mind.  Leaving this closed sounds fine to me.  One question though.
Is there NO WAY to make a new _single_ boot floppy with the 4/7/2000 updates
integrated?

Note You need to log in before you can comment on or make changes to this bug.